// constants won't change. They're used here to set pin numbers:

const int buttonPin = 27; // the number of the pushbutton pin

const int ledPins[] = {26, 0, 1}; // array of LED pins

const int numLeds = sizeof(ledPins) / sizeof(ledPins[0]); // number of LEDs

int currentLedIndex = 0;

  

// variables will change:

int buttonState = 0; // variable for reading the pushbutton status

  

void setup() {

Serial.begin(9600); // initialize serial on 9600 baud rate

  

// initialize the LED pins as outputs:

for (int i = 0; i < numLeds; i++) {

pinMode(ledPins[i], OUTPUT);

}

  

// initialize the pushbutton pin as an input:

pinMode(buttonPin, INPUT);

  

delay(1000);

Serial.println("led test");

}

  

void toggleLED(int index) {

// Turn off all LEDs

for (int i = 0; i < numLeds; i++) {

digitalWrite(ledPins[i], LOW);

}

// Turn on the specified LED

digitalWrite(ledPins[index], HIGH);

}

  

void loop() {

// read the state of the pushbutton value:

buttonState = digitalRead(buttonPin);

  

// check if the pushbutton is pressed. If it is, the buttonState is HIGH:

if (buttonState == HIGH) {

// Toggle to the next LED

currentLedIndex = (currentLedIndex + 1) % numLeds;

// Turn on the LED at the current index

toggleLED(currentLedIndex);

// Wait for button release

while (digitalRead(buttonPin) == HIGH) {

delay(50); // debounce delay

}

}

}